# RPM specfile for ggv module
# Generated Thu Oct 17 15:31:16 2002 GMT by Ximian build system
# $Id: bb_do,v 1.193 2002/09/10 14:45:10 thunder Exp $
# from $Id: ximian-build.conf,v 1.16 2002/07/07 13:28:06 dobey Exp $

%define nam	ggv
%define ver	1.0.2
%define ximrev	1

Name:     	ggv
Version: 	1.0.2
Release:	5.1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/ggv/
Epoch:		1
Source0:	ggv-1.0.2.tar.gz
Patch0:		ggv-bonobo-cflags.patch
Patch1:		ggv-1.0.2-buffer.patch
Patch2:		ggv-1.0.2-stdin-fixme-with-popt.patch
Patch3:		ggv-1.0.2.mkstemp.patch
Patch4:		ggv-1.0.2-pdf.patch
Summary:	GNOME PostScript/PDF viewer
Group:		X11/Utilities
Provides:	ximian-ggv = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
 ggv is a graphical frontend to ghostscript which allows you to view 
postscript and pdf documents, and print ranges of pages.
It is very comfortable due to many zoom and an anti-aliasing option and
following the GNOME look and feel.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
/usr/bin/*
/usr/share/omf/ggv
/usr/share/gnome/apps/Graphics/ggv.desktop
/usr/share/gnome/help/ggv
/usr/share/oaf/Bonobo_GGV.oafinfo
/usr/share/pixmaps/ggv-splash.png
/usr/share/pixmaps/gnome-ghostview.png
/usr/*/locale/*/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ggv-1.0.2
    ;;
all)
%setup  -q -n ggv-1.0.2
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
%patch -p1 -P 3
%patch -p1 -P 4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    rm -f po/zh_TW.Big5.po; automake --gnu --add-missing --include-deps; autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Oct 17 2002 Ximian, Inc.

- Version: 1:1.0.2-5.1.ximian.1
- Summary: New build.
- New automated build.

* Sat May 4 2002 Ximian, Inc.

- Version: 1.0.1-ximian.2
- Summary: New build.
- New automated build.

